MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
float/pi.h File Reference

Contains the public interface to the Proportional-Integral (PI) controller module routines. More...

`#include "sw/modules/types/src/types.h"`
`#include "sw/modules/math/src/float/math.h"`

Go to the source code of this file.

## Data Structures
struct | _PI_Obj_
| Defines the PI controller object. More...

## Typedefs
typedef struct _PI_Obj_ | PI_Obj
| Defines the PI controller object. More...
typedef struct _PI_Obj_ * | PI_Handle
| Defines the PI handle. More...

## Functions
static float_t | PI_getFbackValue (PI_Handle handle)
| Gets the feedback value in the PI controller. More...
static float_t | PI_getFfwdValue (PI_Handle handle)
| Gets the feedforward value in the PI controller. More...
static void | PI_getGains (PI_Handle handle, float_t *pKp, float_t *pKi)
| Gets the gains in the PI controller. More...
static float_t | PI_getKi (PI_Handle handle)
| Gets the integral gain in the PI controller. More...
static float_t | PI_getKp (PI_Handle handle)
| Gets the proportional gain in the PI controller. More...
static void | PI_getMinMax (PI_Handle handle, float_t *pOutMin, float_t *pOutMax)
| Gets the minimum and maximum output value allowed in the PI controller. More...
static float_t | PI_getOutMax (PI_Handle handle)
| Gets the maximum output value allowed in the PI controller. More...
static float_t | PI_getOutMin (PI_Handle handle)
| Gets the minimum output value allowed in the PI controller. More...
static float_t | PI_getRefValue (PI_Handle handle)
| Gets the reference value in the PI controller. More...
static float_t | PI_getUi (PI_Handle handle)
| Gets the integrator start value in the PI controller. More...
PI_Handle | PI_init (void *pMemory, const size_t numBytes)
| Initializes the PI controller. More...
static void | PI_setFbackValue (PI_Handle handle, const float_t fbackValue)
| Sets the feedback value in the PI controller. More...
static void | PI_setFfwdValue (PI_Handle handle, const float_t ffwdValue)
| Sets the feedforward value in the PI controller. More...
static void | PI_setGains (PI_Handle handle, const float_t Kp, const float_t Ki)
| Sets the gains in the PI controller. More...
static void | PI_setKi (PI_Handle handle, const float_t Ki)
| Sets the integral gain in the PI controller. More...
static void | PI_setKp (PI_Handle handle, const float_t Kp)
| Sets the proportional gain in the PI controller. More...
static void | PI_setMinMax (PI_Handle handle, const float_t outMin, const float_t outMax)
| Sets the minimum and maximum output value allowed in the PI controller. More...
static void | PI_setOutMax (PI_Handle handle, const float_t outMax)
| Sets the maximum output value allowed in the PI controller. More...
static void | PI_setOutMin (PI_Handle handle, const float_t outMin)
| Sets the minimum output value allowed in the PI controller. More...
static void | PI_setRefValue (PI_Handle handle, const float_t refValue)
| Sets the reference value in the PI controller. More...
static void | PI_setUi (PI_Handle handle, const float_t Ui)
| Sets the integrator start value in the PI controller. More...
static void | PI_run_parallel (PI_Handle handle, const float_t refValue, const float_t fbackValue, const float_t ffwdValue, float_t *pOutValue)
| Runs the parallel form of the PI controller. More...
static void | PI_run_series (PI_Handle handle, const float_t refValue, const float_t fbackValue, const float_t ffwdValue, float_t *pOutValue)
| Runs the series form of the PI controller. More...

## Detailed Description

Contains the public interface to the Proportional-Integral (PI) controller module routines.

(C) Copyright 2014, Texas Instruments, Inc.

Definition in file float/pi.h.

## Function Documentation

static float_t PI_getFbackValue | ( | PI_Handle | handle | ) |
| inline static

Gets the feedback value in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The feedback value in the PI controller

Definition at line 102 of file float/pi.h.

References _PI_Obj_::fbackValue.

static float_t PI_getFfwdValue | ( | PI_Handle | handle | ) |
| inline static

Gets the feedforward value in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The feedforward value in the PI controller

Definition at line 113 of file float/pi.h.

References _PI_Obj_::ffwdValue.

static float_t PI_getKi | ( | PI_Handle | handle | ) |
| inline static

Gets the integral gain in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The integral gain in the PI controller

Definition at line 139 of file float/pi.h.

References _PI_Obj_::Ki.

Referenced by PI_run_parallel(), and PI_run_series().

static float_t PI_getKp | ( | PI_Handle | handle | ) |
| inline static

Gets the proportional gain in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The proportional gain in the PI controller

Definition at line 150 of file float/pi.h.

References _PI_Obj_::Kp.

Referenced by PI_run_parallel(), and PI_run_series().

static float_t PI_getOutMax | ( | PI_Handle | handle | ) |
| inline static

Gets the maximum output value allowed in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The maximum output value allowed

Definition at line 176 of file float/pi.h.

References _PI_Obj_::outMax.

Referenced by PI_run_parallel(), and PI_run_series().

static float_t PI_getOutMin | ( | PI_Handle | handle | ) |
| inline static

Gets the minimum output value allowed in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The minimum output value allowed

Definition at line 187 of file float/pi.h.

References _PI_Obj_::outMin.

Referenced by PI_run_parallel(), and PI_run_series().

static float_t PI_getRefValue | ( | PI_Handle | handle | ) |
| inline static

Gets the reference value in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The reference value in the PI controller

Definition at line 198 of file float/pi.h.

References _PI_Obj_::refValue.

static float_t PI_getUi | ( | PI_Handle | handle | ) |
| inline static

Gets the integrator start value in the PI controller.

Parameters

  [in] | handle | The PI controller handle

Returns
  The integrator start value for the PI controller

Definition at line 209 of file float/pi.h.

References _PI_Obj_::Ui.

Referenced by PI_run_parallel(), and PI_run_series().